package actions;

import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;
import org.apache.struts2.interceptor.validation.SkipValidation;

import model.service.ClientContainer;
import model.service.ClientService;
import model.service.ClientServiceImpl;
import model.vo.Client;

import com.opensymphony.xwork2.ActionSupport;

public class LoginAction extends ActionSupport implements SessionAware{

	private static final long serialVersionUID = 155043771822347906L;
	
	@SuppressWarnings("unchecked")
	private Map session;
	private String username;
	private String password;
	private ClientService cService;
	
	public LoginAction() {
		cService = new ClientServiceImpl();
	}
	
	@SuppressWarnings("unchecked")
	public String login() throws Exception{
		if(this.username.equals("admin") && this.password.equals("admin")) {
			session.put("username", "admin");
			return "admin";
		}
		try{
			Client client = cService.login(username, password);
	    	if(client!=null){
	    		ClientContainer clientContainer = new ClientContainer();
	    		session.put("ClientContainer", clientContainer);
	    		session.put("sizeCistell", 0);
	    		session.put("totalPrice", 0);
	    		session.put("username", username);
	    		return SUCCESS;
	    	}else{
	    		addActionMessage("No existeix aquest usuari, prova un altre cop.");
				return INPUT;
	    	}
		} catch (Exception e) {
			addActionError("Could not login user: Internal Error");
			return INPUT;
		}
	}
	
	@SkipValidation
	public String logout() {
		session.clear();
		addActionError("Logout successfully!");
		return SUCCESS;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}
	
	public String getUsername() {
		return username;
	}
	
	public void setUsername(String username) {
		this.username = username;
	}

	@SuppressWarnings("unchecked")
	public void setSession(Map session) {
		this.session = session;
	}

}
