package model.dao;

import java.util.List;

import model.vo.Client;
import model.vo.Provincia;

public interface ClientDao {
	
	public void addClient(Client client);
	public void updateClient(Client client);
	public void deleteClient(String username);
	public Client getClient(String username);
	public List<Client> getClientByCognom1(String COGNOM1);
	public List<Client> getClientByCognom2(String COGNOM2);
	public List<Client> getClientByNom(String NOM);
	public List<Client> getAllClients();
	public List<Provincia> getProvincies();
	
}
