package model.exception;

public class ClientException extends Exception {

	private static final long serialVersionUID = 6907635088410778030L;

	/**
	 * Constructor with error message.
	 * 
	 * @param msg the error message associated with the exception
	 */
	public ClientException(String msg) {
		super(msg);
	}
	
	/**
	 * Constructor with error message and root cause.
	 * 
	 * @param msg the error message associated with the exception
	 * @param cause the root cause of the exception
	 */
	public ClientException(String msg, Throwable cause) {
		super(msg, cause);
	}
}

