package model.service;

import java.util.List;

import model.vo.Denominacio;
import model.vo.Vi;

public interface ProducteService {
	
	public List<Denominacio> list();
	public List<Vi> getVinsByCriteria(String find, String TIPUS,
			String CATEGORIA, boolean description);
	public List<Vi> getVinsByTipus(String TIPUS);
	public List<Vi> getVinsByCategoria(String CATEGORIA);
	public List<Vi> getAllVins();
		/** Cas d's 2. CONSULTAR DENOMINACIO.	 
		 * */
	public List<Vi> getVinsByDenominacio(int id_DENOMINACIO);
		/** Cas d's 3. RECERCA AL CATALEG.		 
		 * */
	public List<Vi> getVinsByNom(String NOM);
		/** Cas d's 4. FITXA DE VI.			 
		 * */
	public Vi getVi(int id_VI);
		/** Cas d's 19. ALTA DENOMINACIO.	 
		 * */
	public void insertDenominacio(Denominacio denominacio);
		/** Cas d's 20. CONSULTAR DENOMINACIO.	 
		 * */
	public Denominacio loadDenominacio(int id);
		/** Cas d's 21. BAIXA DENOMINACIO.	 
		 * */
	public void deleteDenominacio(int id_DENOMINACIO);
		/** Cas d's 22. MODIFICAR DENOMINACIO.	 
		 * */
	public void updateDenominacio(Denominacio denominacio);
		/** Cas d's 23. ALTA VI.	 
		 * */
	public void insertVi(Vi vi);
		/** Cas d's 26. BAIXA VI.	 
		 * */
	public void deleteVi(int id_VI);
		/** Cas d's 25. MODIFICAR VI.	 
		 * */
	public void updateVi(Vi vi);
	
}
