package model.dao;

import java.util.List;

import model.vo.Denominacio;
import model.vo.Vi;

public interface ProducteDao {

	public List<Denominacio> list();
	public void addDenominacio(Denominacio denominacio);
	public Denominacio getDenominacio(int id_DENOMINACIO);
	public List<Vi> getProductsByDenominacio(int id_DENOMINACIO);
	public void updateDenominacio(Denominacio denominacio);
	public void deleteDenominacio(int id_DENOMINACIO);
	public void addVi(Vi vi);
	public void updateVi(Vi vi);
	public void deleteVi(int id_VI);
	public Vi getVi(int id_VI);
	public List<Vi> getAllProducts();
	public List<Vi> getProductsByNom(String NOM);
	public List<Vi> getProductsByTipus(String TIPUS);
	public List<Vi> getProductsByCategoria(String CATEGORIA);
	public List<Vi> getProductsByCriteria(String find,
			String TIPUS, String CATEGORIA, boolean description);
	
}
