package model.service;

import javax.servlet.http.HttpSessionBindingEvent;
import javax.servlet.http.HttpSessionBindingListener;

import model.vo.Client;

public class ClientContainer implements HttpSessionBindingListener {

	private Cistell cistell = null;
	private Client client = null;
	
	public ClientContainer() 
	{
		super();
		initialize();
	}
	
	private void initialize() 
	{
		cistell = new Cistell();
	}

	public void valueBound(HttpSessionBindingEvent arg0) 
	{
		cleanUp();
	}

	private void cleanUp() 
	{
		setClient(null);
		cistell = new Cistell();
	}

	public void valueUnbound(HttpSessionBindingEvent arg0) 
	{
		
	}

	public void setCistell(Cistell cistell) {
		this.cistell = cistell;
	}

	public Cistell getCistell() {
		return cistell;
	}

	public void setClient(Client client) {
		this.client = client;
	}

	public Client getClient() {
		return client;
	}

}
